Bug 599515 - Phantom entries in the group search results
Phantom entries in the group search results
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
urgent Severity high (vote)
: ---
: ---
Assigned To: Joseph Marques
Corey Welton
:
Depends On:
Blocks: jon24-search
  Show dependency treegraph
 
Reported: 2010-06-03 08:22 EDT by Lukas Krejci
Modified: 2010-08-12 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:47:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
group search results (45.97 KB, image/png)
2010-06-03 08:22 EDT, Lukas Krejci
no flags Details
search dropdown showing some of the clicked items. (38.55 KB, image/png)
2010-07-08 09:40 EDT, Corey Welton
no flags Details

  None (edit)
Description Lukas Krejci 2010-06-03 08:22:13 EDT
Created attachment 419349 [details]
group search results

Description of problem:

The group search results seem to show additional entries that are not (explicitly created) groups.

See screenshot for details.

How reproducible:
always

Steps to Reproduce:
1. Create a recursive compatible group with 2 members (I used JBoss ASes)
2. Click on a couple of child resources in the group left nav
3. Go to the group search page.
4. Observe that apart from the group itself, phantom entries are present for each of the resources (or rather "clusters") that have been clicked on in the step 2.
  
Actual results:

Even though the number of groups in the subtab titles is correct, the actual results table contains more entries.

Expected results:
Only the defined groups are listed in the results table.

Additional info:
Comment 1 Joseph Marques 2010-07-07 00:10:03 EDT
commit f93270225480f305648868fbb006d12a2a7e32ae
Author: Joseph Marques <joseph@redhat.com>
Date:   Wed Jul 7 00:05:14 2010 -0400

BZ-599515: by default, do not show auto-backing-cluster results in group browser

-----

to test this, put 2 linux platforms into a recursive group.  navigate to that group and click around the tree for a while.  these click actions will create auto-cluster-backing-groups.  these ACBGs were the phantoms you saw in the group browser.  they should no longer appear in the search results.
Comment 2 Simeon Pinder 2010-07-07 18:08:25 EDT
verified this with build 122 of ci-rhq-release.  Group counts match gui display now.  I'll have to re-verify when the jon-build with this fix is available tomorrow. 

Is there any way to browse/verify that the auto-cluster-backing-groups are still being created, now that they don't show up as phantoms?
Comment 3 Joseph Marques 2010-07-07 18:17:14 EDT
JPQL: select count(rg) from ResourceGroup rg
SQL: select count(id) from rhq_resource_group

the two counts above should be equal.  the two counts above should be higher than the count shown in the group browser.
Comment 4 Simeon Pinder 2010-07-08 09:29:08 EDT
I verified that the phantom entries do not show up(gui count matching screen) in build 52 of tag-jon-release. 

However, running the two queries above, the returned counts are exactly equal to the group count shown(1).

I installed JON and imported two linux platforms and then clicked around in the trees of both instances.  I also let the instance stay up for 7 hrs and still no additional groups created that I can see.  

Joe can you comment on this?
Comment 5 Corey Welton 2010-07-08 09:39:35 EDT
I also noted that if you click the search bar, these items that you have clicked also show up in the search dropdown helper.  

Please see screenshot -- related issue, or perhaps no issue?
Comment 6 Corey Welton 2010-07-08 09:40:46 EDT
Created attachment 430361 [details]
search dropdown showing some of the clicked items.
Comment 7 Joseph Marques 2010-07-08 11:06:15 EDT
Simeon, from my steps above "to test this, put 2 linux platforms into a recursive group [and] navigate to that group and click around the tree for a while" -- this requires you to navigate around the group tree, not the individual resource trees.

Corey, you definitely found a separate issue.  Do you want to create a separate BZ or add to this one?
Comment 8 Corey Welton 2010-07-08 11:46:32 EDT
QA Verified -- no longer do I see any phantom items showing up.  However, I have opened bug #612612 to track the search suggestions (versus search results) issue.
Comment 9 Simeon Pinder 2010-07-08 12:02:25 EDT
+1. Joseph, my mistake was not doing the steps on a compatible group.  Compatible instructions were in the original steps but not your updated reproduction steps. I didn't realize that the gui was so different between compat/mixed.  Works correctly as described.

Corey, I'm moving this to Verified.
Comment 10 Joseph Marques 2010-07-08 13:03:11 EDT
Simeon, both Lukas's description and my comment #1 said to use compatible groups.  But it's good that it's verified now.
Comment 11 Joseph Marques 2010-07-08 13:07:00 EDT
FYI, mixed groups have no left-nav-tree component at all.
Comment 12 Corey Welton 2010-08-12 12:47:54 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.